Subject: Re: [Cfrg] RE: Where's the beef?

From: "Stephen Sprunk" <[email-masked]>
Date: Sun, 1 Sep 2002 13:42:42 -0500

Thus spake "Alex Alten" <[email-masked]>
> Anyway thanks for the plain speaking.  I was speaking from my own experience
> developing custom cryptographic algorithms.  I am no cryptanalyst, and I have
> come to deeply respect the analysis of people I do not ever see participating
> in our efforts here.  My concern was that we would not get the best advice
> if we could not pay for it.  You have stated otherwise.  So be it.
>
> But we have been sidetracked by this issue--I should not have pursued it
> with David M.
>
> What I really want to understand is what is this RG's practical role?
> (Jim H's somewhat pessimistic viewpoint seems to cut close to the bone.)
>
> Of particular interest to me is can it design custom cryptography to meet
> the particular needs of a WG?

Experience shows that "custom cryptography" is a bad idea because it doesn't
have the benefit of extensive public review.  I doubt we could pay for the sort
of analysis that the AES contest got for free -- and that will continue on as
long as Rijndael is in use.

CFRG's purpose, in my understanding, is to evaluate the known cryptosystems out
there, determine which ones can benefit the IETF, perform whatever IP-specific
modification or analysis is necessary, and publish Informational RFCs to be used
as normative references in IETF standard protocols.

S

_______________________________________________
Cfrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/cfrg

---

From: Alex Alten <[email-masked]>
Date: Mon, 02 Sep 2002 04:41:46 -0700

>as normative references in IETF standard protocols.

At the risk of annoying the woman known as The Purple Streak further by
responding
on this thread.

I agree with your assessment.  The great pity is that AES is fundamentally
the wrong cipher for us.

Thank you for your clear description of CFRG's purpose.  If so, then I would
not be much interested in participating.  I prefer a more ballsy approach.
 
- Alex
--

Alex Alten
[email-masked]